# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.24-10}

%define kmod_name omnibook
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar}}


Distribution:	CCux
Packager:  	Karsten Brockmann <brockmka@ccux-linux.de>

Summary: 	Kernel module for HP Omnibook/Pavillon and Toshiba Satellite Notebooks
Name: 		%{kmod_name}-kmod
Version:	1.20071125	
Release: 	4.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	Distributable
URL:            http://sourceforge.net/projects/omnibook
Source0:	omnibook-%{version}.tar.bz2
ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Linux kernel module for many HP Omnibook/Pavillon, Toshiba Satellite (with Phoenix BIOS) and Compal laptops. It is based on the module found in the 'omke' project.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
#%patch0 -p0
for kvariant in %{kvariants} ; do
    cp -a omnibook-1.20071125 _kmod_build_$kvariant
done
pwd



%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant
    make KERNDIR="${ksrc}"
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/omnibook.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/omnibook.ko
done

chmod 0755 $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
%{__rm} -rf %{buildroot}



%changelog
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.20071125-4
- kernel 2.6.24-10
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20071125-3
- kernel 2.6.24-5
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20071125-2
- kernel 2.6.24-3
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20071125-1
- version update
- svn revision 268
- kernel 2.6.24-1
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20070427-4
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20070427-3
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20070427-2
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.20070427-1
- svn Revision 258
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20070211-6
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20070211-5
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20070211-3
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20070211-2
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20070211-1
- Version update
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.20060921-3
- Kernel 2.6.20-1
- SVN Revision 244
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 2.20060921-2
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.20060921-1
- Version update
- Kernel 2.6.19-4
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.20060817-4
- Kernel 2.6.18-4
* Mon Oct 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.20060817-3
- Kernel 2.6.18-2
* Sun Oct 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.20060817-2
- Kernel 2.6.18-1
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.20060817-1
- Initial Release
- Kernel 2.6.17-3
